Skip to main content
GET
/
List datasources
curl --request GET \
  --url https://api.reelevant.com/v2/datasources/ \
  --header 'Authorization: Bearer <token>'
{
  "paginationCount": 123,
  "paginationPage": 123,
  "paginationLimit": 123,
  "status": "success",
  "program": "<string>",
  "version": "<string>",
  "datetime": "<string>",
  "message": "<string>",
  "data": [
    "<unknown>"
  ],
  "code": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

ids
string[]

Filter on datasources that have on of those ids

name
string

Filter on datasources that contains that string in the name

mode
enum<string>

Filter on datasource mode

Available options:
ingester,
worker,
proxy,
pubsub,
push
resourceGroupIds
string[]

Filter on datasources with on of those resource groups

typeName
enum<string>[]

Filter on datasource type name

Available options:
generic,
location,
product,
analytics,
crm,
push
excludedTypeName
enum<string>[]

Ignore those datasource type name

Available options:
generic,
location,
product,
analytics,
crm,
push
subtype
enum<string>[]

Filter on datasource type subtype

Available options:
reelevant
excludedSubtypes
enum<string>[]

Ignore those datasource type name

Available options:
reelevant
includeLiveOnly
boolean

Filter on datasources with live data (that can be queried). Note: when using this option, the status in datasource will always be PUBLISHED or PAUSED

includeGlobals
boolean

Filter on global datasources (no company id nor resource group)

status
enum<string>[]

Filter on datasource with one of those statuses

Available options:
draft,
published,
updating,
paused,
error
includeArchived
boolean

Display archived datasources

select
string[]

List of fields you want to get, by default the whole datasource with versions is returned. But you can choose to return only ['name'] to have data: [{ id: 'bar', name: 'foo' }]. Note: id is always returned

sortBy
default:configurationUpdatedAt
Available options:
configurationUpdatedAt
sortOrder
default:desc
Available options:
asc
hierarchy
string[]

Filter on datasources with a specific hierarchy path. Pass an array of strings representing the folder path (e.g., ["Marketing", "Q4"] for Marketing > Q4). Empty array returns root-level datasources.

page
number
default:1
Required range: x >= 1
perPage
number
default:10
Required range: x >= 1

Response

200 - application/json

Ok

paginationCount
number
required
paginationPage
number
required
paginationLimit
number
required
status
enum<string>
required
Available options:
success
program
string
required
version
string
required
datetime
string
required
message
string
required
data
any · null · any · null · any · null · any · null · any · null[]
required

Can be any value

code
number